package edu.uprm.walsaip.vte.core.datatypes.terrain;

import java.util.List;
/**
 * Object which describe a terrain data set.
 * @author Ricardo Veguilla
 *
 */
public class VTEInfo {
	private String filename = null;
	private int blockSize = 0;
	private int xBlocks = 0;
	private int yBlocks = 0;
	private int demWidth = 0;
	private int demHeight = 0;
	private int textureWidth = 0;
	private int textureHeight = 0;
	private List<String> demBlocks = null;
	private List<String> textureBlocks = null;
	private String demSourceFilename = null;
	private String textureSourceFilename = null;
	
	public int getXBlocks() {
		return xBlocks;
	}
	public void setXBlocks(int blocks) {
		xBlocks = blocks;
	}
	public int getYBlocks() {
		return yBlocks;
	}
	public void setYBlocks(int blocks) {
		yBlocks = blocks;
	}
	public int getDemWidth() {
		return demWidth;
	}
	public void setDemWidth(int demWidth) {
		this.demWidth = demWidth;
	}
	public int getDemHeight() {
		return demHeight;
	}
	public void setDemHeight(int demHeight) {
		this.demHeight = demHeight;
	}
	public int getTextureWidth() {
		return textureWidth;
	}
	public void setTextureWidth(int textureWidth) {
		this.textureWidth = textureWidth;
	}
	public int getTextureHeight() {
		return textureHeight;
	}
	public void setTextureHeight(int textureHeight) {
		this.textureHeight = textureHeight;
	}
	public List<String> getDemBlocks() {
		return demBlocks;
	}
	public void setDemBlocks(List<String> demBlocks) {
		this.demBlocks = demBlocks;
	}
	public List<String> getTextureBlocks() {
		return textureBlocks;
	}
	public void setTextureBlocks(List<String> textureBlocks) {
		this.textureBlocks = textureBlocks;
	}
	public int getBlockSize() {
		return blockSize;
	}
	public void setBlockSize(int blockSize) {
		this.blockSize = blockSize;
	}
	public String getFilename() {
		return filename;
	}
	public void setFilename(String filename) {
		this.filename = filename;
	}
	public String getDemSourceFilename() {
		return demSourceFilename;
	}
	public String getTextureSourceFilename() {
		return textureSourceFilename;
	}
	public void setDemSourceFilename(String demSourceFilename) {
		this.demSourceFilename = demSourceFilename;
	}
	public void setTextureSourceFilename(String textureSourceFilename) {
		this.textureSourceFilename = textureSourceFilename;
	}
}
